<?php
// This file was auto-generated from sdk-root/src/data/appintegrations/2020-07-29/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>The Amazon AppIntegrations service enables you to configure and reuse connections to external applications.</p> <p>For information about how you can use external applications with Amazon Connect, see <a href="https://docs.aws.amazon.com/connect/latest/adminguide/crm.html">Set up pre-built integrations</a> in the <i>Amazon Connect Administrator Guide</i>.</p>', 'operations' => [ 'CreateEventIntegration' => '<p>Creates an EventIntegration, given a specified name, description, and a reference to an Amazon EventBridge bus in your account and a partner event source that pushes events to that bus. No objects are created in the your account, only metadata that is persisted on the EventIntegration control plane.</p>', 'DeleteEventIntegration' => '<p>Deletes the specified existing event integration. If the event integration is associated with clients, the request is rejected.</p>', 'GetEventIntegration' => '<p>Return information about the event integration.</p>', 'ListEventIntegrationAssociations' => '<p>Returns a paginated list of event integration associations in the account. </p>', 'ListEventIntegrations' => '<p>Returns a paginated list of event integrations in the account.</p>', 'ListTagsForResource' => '<p>Lists the tags for the specified resource.</p>', 'TagResource' => '<p>Adds the specified tags to the specified resource.</p>', 'UntagResource' => '<p>Removes the specified tags from the specified resource.</p>', 'UpdateEventIntegration' => '<p>Updates the description of an event integration.</p>', ], 'shapes' => [ 'AccessDeniedException' => [ 'base' => '<p>You do not have sufficient access to perform this action.</p>', 'refs' => [], ], 'Arn' => [ 'base' => NULL, 'refs' => [ 'CreateEventIntegrationResponse$EventIntegrationArn' => '<p>The Amazon Resource Name (ARN) of the event integration. </p>', 'EventIntegration$EventIntegrationArn' => '<p>The Amazon Resource Name (ARN) of the event integration.</p>', 'EventIntegrationAssociation$EventIntegrationAssociationArn' => '<p>The Amazon Resource Name (ARN) for the event integration association.</p>', 'GetEventIntegrationResponse$EventIntegrationArn' => '<p>The Amazon Resource Name (ARN) for the event integration.</p>', 'ListTagsForResourceRequest$resourceArn' => '<p>The Amazon Resource Name (ARN) of the resource. </p>', 'TagResourceRequest$resourceArn' => '<p>The Amazon Resource Name (ARN) of the resource.</p>', 'UntagResourceRequest$resourceArn' => '<p>The Amazon Resource Name (ARN) of the resource.</p>', ], ], 'ClientAssociationMetadata' => [ 'base' => NULL, 'refs' => [ 'EventIntegrationAssociation$ClientAssociationMetadata' => '<p>The metadata associated with the client.</p>', ], ], 'ClientId' => [ 'base' => NULL, 'refs' => [ 'EventIntegrationAssociation$ClientId' => '<p>The identifier for the client that is associated with the event integration.</p>', ], ], 'CreateEventIntegrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateEventIntegrationResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteEventIntegrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteEventIntegrationResponse' => [ 'base' => NULL, 'refs' => [], ], 'Description' => [ 'base' => NULL, 'refs' => [ 'CreateEventIntegrationRequest$Description' => '<p>The description of the event integration.</p>', 'EventIntegration$Description' => '<p>The event integration description.</p>', 'GetEventIntegrationResponse$Description' => '<p>The description of the event integration.</p>', 'UpdateEventIntegrationRequest$Description' => '<p>The description of the event inegration.</p>', ], ], 'DuplicateResourceException' => [ 'base' => '<p>A resource with the specified name already exists.</p>', 'refs' => [], ], 'EventBridgeBus' => [ 'base' => NULL, 'refs' => [ 'CreateEventIntegrationRequest$EventBridgeBus' => '<p>The EventBridge bus.</p>', 'EventIntegration$EventBridgeBus' => '<p>The Amazon EventBridge bus for the event integration.</p>', 'GetEventIntegrationResponse$EventBridgeBus' => '<p>The EventBridge bus.</p>', ], ], 'EventBridgeRuleName' => [ 'base' => NULL, 'refs' => [ 'EventIntegrationAssociation$EventBridgeRuleName' => '<p>The name of the EventBridge rule.</p>', ], ], 'EventFilter' => [ 'base' => '<p>The event filter.</p>', 'refs' => [ 'CreateEventIntegrationRequest$EventFilter' => '<p>The event filter.</p>', 'EventIntegration$EventFilter' => '<p>The event integration filter.</p>', 'GetEventIntegrationResponse$EventFilter' => '<p>The event filter.</p>', ], ], 'EventIntegration' => [ 'base' => '<p>The event integration.</p>', 'refs' => [ 'EventIntegrationsList$member' => NULL, ], ], 'EventIntegrationAssociation' => [ 'base' => '<p>The event integration association.</p>', 'refs' => [ 'EventIntegrationAssociationsList$member' => NULL, ], ], 'EventIntegrationAssociationsList' => [ 'base' => NULL, 'refs' => [ 'ListEventIntegrationAssociationsResponse$EventIntegrationAssociations' => '<p>The event integration associations.</p>', ], ], 'EventIntegrationsList' => [ 'base' => NULL, 'refs' => [ 'ListEventIntegrationsResponse$EventIntegrations' => '<p>The event integrations.</p>', ], ], 'GetEventIntegrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetEventIntegrationResponse' => [ 'base' => NULL, 'refs' => [], ], 'IdempotencyToken' => [ 'base' => NULL, 'refs' => [ 'CreateEventIntegrationRequest$ClientToken' => '<p>A unique, case-sensitive identifier that you provide to ensure the idempotency of the request.</p>', ], ], 'InternalServiceError' => [ 'base' => '<p>Request processing failed due to an error or failure with the service.</p>', 'refs' => [], ], 'InvalidRequestException' => [ 'base' => '<p>The request is not valid.</p>', 'refs' => [], ], 'ListEventIntegrationAssociationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListEventIntegrationAssociationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListEventIntegrationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListEventIntegrationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'ListEventIntegrationAssociationsRequest$MaxResults' => '<p>The maximum number of results to return per page.</p>', 'ListEventIntegrationsRequest$MaxResults' => '<p>The maximum number of results to return per page.</p>', ], ], 'Message' => [ 'base' => NULL, 'refs' => [ 'AccessDeniedException$Message' => NULL, 'DuplicateResourceException$Message' => NULL, 'InternalServiceError$Message' => NULL, 'InvalidRequestException$Message' => NULL, 'ResourceNotFoundException$Message' => NULL, 'ResourceQuotaExceededException$Message' => NULL, 'ThrottlingException$Message' => NULL, ], ], 'Name' => [ 'base' => NULL, 'refs' => [ 'CreateEventIntegrationRequest$Name' => '<p>The name of the event integration.</p>', 'DeleteEventIntegrationRequest$Name' => '<p>The name of the event integration.</p>', 'EventIntegration$Name' => '<p>The name of the event integration.</p>', 'EventIntegrationAssociation$EventIntegrationName' => '<p>The name of the event integration.</p>', 'GetEventIntegrationRequest$Name' => '<p>The name of the event integration. </p>', 'GetEventIntegrationResponse$Name' => '<p>The name of the event integration. </p>', 'ListEventIntegrationAssociationsRequest$EventIntegrationName' => '<p>The name of the event integration. </p>', 'UpdateEventIntegrationRequest$Name' => '<p>The name of the event integration.</p>', ], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'ListEventIntegrationAssociationsRequest$NextToken' => '<p>The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.</p>', 'ListEventIntegrationAssociationsResponse$NextToken' => '<p>If there are additional results, this is the token for the next set of results.</p>', 'ListEventIntegrationsRequest$NextToken' => '<p>The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.</p>', 'ListEventIntegrationsResponse$NextToken' => '<p>If there are additional results, this is the token for the next set of results.</p>', ], ], 'NonBlankString' => [ 'base' => NULL, 'refs' => [ 'ClientAssociationMetadata$key' => NULL, 'ClientAssociationMetadata$value' => NULL, ], ], 'ResourceNotFoundException' => [ 'base' => '<p>The specified resource was not found.</p>', 'refs' => [], ], 'ResourceQuotaExceededException' => [ 'base' => '<p>The allowed quota for the resource has been exceeded.</p>', 'refs' => [], ], 'Source' => [ 'base' => NULL, 'refs' => [ 'EventFilter$Source' => '<p>The source of the events.</p>', ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'TagKeyList$member' => NULL, 'TagMap$key' => NULL, ], ], 'TagKeyList' => [ 'base' => NULL, 'refs' => [ 'UntagResourceRequest$tagKeys' => '<p>The tag keys.</p>', ], ], 'TagMap' => [ 'base' => NULL, 'refs' => [ 'CreateEventIntegrationRequest$Tags' => '<p>One or more tags.</p>', 'EventIntegration$Tags' => '<p>The tags.</p>', 'GetEventIntegrationResponse$Tags' => '<p>One or more tags.</p>', 'ListTagsForResourceResponse$tags' => '<p>Information about the tags.</p>', 'TagResourceRequest$tags' => '<p>One or more tags. </p>', ], ], 'TagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'TagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'TagMap$value' => NULL, ], ], 'ThrottlingException' => [ 'base' => '<p>The throttling limit has been exceeded.</p>', 'refs' => [], ], 'UUID' => [ 'base' => NULL, 'refs' => [ 'EventIntegrationAssociation$EventIntegrationAssociationId' => '<p>The identifier for the event integration association.</p>', ], ], 'UntagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UntagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateEventIntegrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateEventIntegrationResponse' => [ 'base' => NULL, 'refs' => [], ], ],];
