<?php
// This file was auto-generated from sdk-root/src/data/braket/2019-09-01/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>The Amazon Braket API Reference provides information about the operations and structures supported in Amazon Braket.</p>', 'operations' => [ 'CancelQuantumTask' => '<p>Cancels the specified task.</p>', 'CreateQuantumTask' => '<p>Creates a quantum task.</p>', 'GetDevice' => '<p>Retrieves the devices available in Amazon Braket.</p>', 'GetQuantumTask' => '<p>Retrieves the specified quantum task.</p>', 'ListTagsForResource' => '<p>Shows the tags associated with this resource.</p>', 'SearchDevices' => '<p>Searches for devices using the specified filters.</p>', 'SearchQuantumTasks' => '<p>Searches for tasks that match the specified filter values.</p>', 'TagResource' => '<p>Add a tag to the specified resource.</p>', 'UntagResource' => '<p>Remove tags from a resource.</p>', ], 'shapes' => [ 'AccessDeniedException' => [ 'base' => '<p>You do not have sufficient access to perform this action.</p>', 'refs' => [], ], 'CancelQuantumTaskRequest' => [ 'base' => NULL, 'refs' => [], ], 'CancelQuantumTaskResponse' => [ 'base' => NULL, 'refs' => [], ], 'CancellationStatus' => [ 'base' => NULL, 'refs' => [ 'CancelQuantumTaskResponse$cancellationStatus' => '<p>The status of the cancellation request.</p>', ], ], 'ConflictException' => [ 'base' => '<p>An error occurred due to a conflict.</p>', 'refs' => [], ], 'CreateQuantumTaskRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateQuantumTaskRequestDeviceParametersString' => [ 'base' => NULL, 'refs' => [ 'CreateQuantumTaskRequest$deviceParameters' => '<p>The parameters for the device to run the task on.</p>', ], ], 'CreateQuantumTaskRequestOutputS3BucketString' => [ 'base' => NULL, 'refs' => [ 'CreateQuantumTaskRequest$outputS3Bucket' => '<p>The S3 bucket to store task result files in.</p>', ], ], 'CreateQuantumTaskRequestOutputS3KeyPrefixString' => [ 'base' => NULL, 'refs' => [ 'CreateQuantumTaskRequest$outputS3KeyPrefix' => '<p>The key prefix for the location in the S3 bucket to store task results in.</p>', ], ], 'CreateQuantumTaskRequestShotsLong' => [ 'base' => NULL, 'refs' => [ 'CreateQuantumTaskRequest$shots' => '<p>The number of shots to use for the task.</p>', ], ], 'CreateQuantumTaskResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeviceArn' => [ 'base' => NULL, 'refs' => [ 'CreateQuantumTaskRequest$deviceArn' => '<p>The ARN of the device to run the task on.</p>', 'DeviceSummary$deviceArn' => '<p>The ARN of the device.</p>', 'GetDeviceRequest$deviceArn' => '<p>The ARN of the device to retrieve.</p>', 'GetDeviceResponse$deviceArn' => '<p>The ARN of the device.</p>', 'GetQuantumTaskResponse$deviceArn' => '<p>The ARN of the device the task was run on.</p>', 'QuantumTaskSummary$deviceArn' => '<p>The ARN of the device the task ran on.</p>', ], ], 'DeviceOfflineException' => [ 'base' => '<p>The specified device is currently offline.</p>', 'refs' => [], ], 'DeviceRetiredException' => [ 'base' => '<p>The specified device has been retired.</p>', 'refs' => [], ], 'DeviceStatus' => [ 'base' => NULL, 'refs' => [ 'DeviceSummary$deviceStatus' => '<p>The status of the device.</p>', 'GetDeviceResponse$deviceStatus' => '<p>The status of the device.</p>', ], ], 'DeviceSummary' => [ 'base' => '<p>Includes information about the device.</p>', 'refs' => [ 'DeviceSummaryList$member' => NULL, ], ], 'DeviceSummaryList' => [ 'base' => NULL, 'refs' => [ 'SearchDevicesResponse$devices' => '<p>An array of <code>DeviceSummary</code> objects for devices that match the specified filter values.</p>', ], ], 'DeviceType' => [ 'base' => NULL, 'refs' => [ 'DeviceSummary$deviceType' => '<p>The type of the device.</p>', 'GetDeviceResponse$deviceType' => '<p>The type of the device.</p>', ], ], 'GetDeviceRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDeviceResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetQuantumTaskRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetQuantumTaskResponse' => [ 'base' => NULL, 'refs' => [], ], 'InternalServiceException' => [ 'base' => '<p>The request processing has failed because of an unknown error, exception, or failure.</p>', 'refs' => [], ], 'JsonValue' => [ 'base' => NULL, 'refs' => [ 'CreateQuantumTaskRequest$action' => '<p>The action associated with the task.</p>', 'GetDeviceResponse$deviceCapabilities' => '<p>Details about the capabilities of the device.</p>', 'GetQuantumTaskResponse$deviceParameters' => '<p>The parameters for the device on which the task ran.</p>', ], ], 'ListTagsForResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'Long' => [ 'base' => NULL, 'refs' => [ 'GetQuantumTaskResponse$shots' => '<p>The number of shots used in the task.</p>', 'QuantumTaskSummary$shots' => '<p>The shots used for the task.</p>', ], ], 'QuantumTaskArn' => [ 'base' => NULL, 'refs' => [ 'CancelQuantumTaskRequest$quantumTaskArn' => '<p>The ARN of the task to cancel.</p>', 'CancelQuantumTaskResponse$quantumTaskArn' => '<p>The ARN of the task.</p>', 'CreateQuantumTaskResponse$quantumTaskArn' => '<p>The ARN of the task created by the request.</p>', 'GetQuantumTaskRequest$quantumTaskArn' => '<p>the ARN of the task to retrieve.</p>', 'GetQuantumTaskResponse$quantumTaskArn' => '<p>The ARN of the task.</p>', 'QuantumTaskSummary$quantumTaskArn' => '<p>The ARN of the task.</p>', ], ], 'QuantumTaskStatus' => [ 'base' => NULL, 'refs' => [ 'GetQuantumTaskResponse$status' => '<p>The status of the task.</p>', 'QuantumTaskSummary$status' => '<p>The status of the task.</p>', ], ], 'QuantumTaskSummary' => [ 'base' => '<p>Includes information about a quantum task.</p>', 'refs' => [ 'QuantumTaskSummaryList$member' => NULL, ], ], 'QuantumTaskSummaryList' => [ 'base' => NULL, 'refs' => [ 'SearchQuantumTasksResponse$quantumTasks' => '<p>An array of <code>QuantumTaskSummary</code> objects for tasks that match the specified filters.</p>', ], ], 'ResourceNotFoundException' => [ 'base' => '<p>The specified resource was not found.</p>', 'refs' => [], ], 'SearchDevicesFilter' => [ 'base' => '<p>The filter to use for searching devices.</p>', 'refs' => [ 'SearchDevicesRequestFiltersList$member' => NULL, ], ], 'SearchDevicesFilterNameString' => [ 'base' => NULL, 'refs' => [ 'SearchDevicesFilter$name' => '<p>The name to use to filter results.</p>', ], ], 'SearchDevicesFilterValuesList' => [ 'base' => NULL, 'refs' => [ 'SearchDevicesFilter$values' => '<p>The values to use to filter results.</p>', ], ], 'SearchDevicesRequest' => [ 'base' => NULL, 'refs' => [], ], 'SearchDevicesRequestFiltersList' => [ 'base' => NULL, 'refs' => [ 'SearchDevicesRequest$filters' => '<p>The filter values to use to search for a device.</p>', ], ], 'SearchDevicesRequestMaxResultsInteger' => [ 'base' => NULL, 'refs' => [ 'SearchDevicesRequest$maxResults' => '<p>The maximum number of results to return in the response.</p>', ], ], 'SearchDevicesResponse' => [ 'base' => NULL, 'refs' => [], ], 'SearchQuantumTasksFilter' => [ 'base' => '<p>A filter to use to search for tasks.</p>', 'refs' => [ 'SearchQuantumTasksRequestFiltersList$member' => NULL, ], ], 'SearchQuantumTasksFilterOperator' => [ 'base' => NULL, 'refs' => [ 'SearchQuantumTasksFilter$operator' => '<p>An operator to use in the filter.</p>', ], ], 'SearchQuantumTasksFilterValuesList' => [ 'base' => NULL, 'refs' => [ 'SearchQuantumTasksFilter$values' => '<p>The values to use for the filter.</p>', ], ], 'SearchQuantumTasksRequest' => [ 'base' => NULL, 'refs' => [], ], 'SearchQuantumTasksRequestFiltersList' => [ 'base' => NULL, 'refs' => [ 'SearchQuantumTasksRequest$filters' => '<p>Array of <code>SearchQuantumTasksFilter</code> objects.</p>', ], ], 'SearchQuantumTasksRequestMaxResultsInteger' => [ 'base' => NULL, 'refs' => [ 'SearchQuantumTasksRequest$maxResults' => '<p>Maximum number of results to return in the response.</p>', ], ], 'SearchQuantumTasksResponse' => [ 'base' => NULL, 'refs' => [], ], 'ServiceQuotaExceededException' => [ 'base' => '<p>The request failed because a service quota is exceeded.</p>', 'refs' => [], ], 'String' => [ 'base' => NULL, 'refs' => [ 'AccessDeniedException$message' => NULL, 'ConflictException$message' => NULL, 'DeviceOfflineException$message' => NULL, 'DeviceRetiredException$message' => NULL, 'DeviceSummary$deviceName' => '<p>The name of the device.</p>', 'DeviceSummary$providerName' => '<p>The provider of the device.</p>', 'GetDeviceResponse$deviceName' => '<p>The name of the device.</p>', 'GetDeviceResponse$providerName' => '<p>The name of the partner company for the device.</p>', 'GetQuantumTaskResponse$failureReason' => '<p>The reason that a task failed.</p>', 'GetQuantumTaskResponse$outputS3Bucket' => '<p>The S3 bucket where task results are stored.</p>', 'GetQuantumTaskResponse$outputS3Directory' => '<p>The folder in the S3 bucket where task results are stored.</p>', 'InternalServiceException$message' => NULL, 'ListTagsForResourceRequest$resourceArn' => '<p>Specify the <code>resourceArn</code> for the resource whose tags to display.</p>', 'QuantumTaskSummary$outputS3Bucket' => '<p>The S3 bucket where the task result file is stored..</p>', 'QuantumTaskSummary$outputS3Directory' => '<p>The folder in the S3 bucket where the task result file is stored.</p>', 'ResourceNotFoundException$message' => NULL, 'SearchDevicesRequest$nextToken' => '<p>A token used for pagination of results returned in the response. Use the token returned from the previous request continue results where the previous request ended.</p>', 'SearchDevicesResponse$nextToken' => '<p>A token used for pagination of results, or null if there are no additional results. Use the token value in a subsequent request to continue results where the previous request ended.</p>', 'SearchQuantumTasksRequest$nextToken' => '<p>A token used for pagination of results returned in the response. Use the token returned from the previous request continue results where the previous request ended.</p>', 'SearchQuantumTasksResponse$nextToken' => '<p>A token used for pagination of results, or null if there are no additional results. Use the token value in a subsequent request to continue results where the previous request ended.</p>', 'ServiceQuotaExceededException$message' => NULL, 'TagKeys$member' => NULL, 'TagResourceRequest$resourceArn' => '<p>Specify the <code>resourceArn</code> of the resource to which a tag will be added.</p>', 'TagsMap$key' => NULL, 'TagsMap$value' => NULL, 'ThrottlingException$message' => NULL, 'UntagResourceRequest$resourceArn' => '<p>Specify the <code>resourceArn</code> for the resource from which to remove the tags.</p>', 'ValidationException$message' => NULL, ], ], 'String256' => [ 'base' => NULL, 'refs' => [ 'SearchDevicesFilterValuesList$member' => NULL, 'SearchQuantumTasksFilterValuesList$member' => NULL, ], ], 'String64' => [ 'base' => NULL, 'refs' => [ 'CancelQuantumTaskRequest$clientToken' => '<p>The client token associated with the request.</p>', 'CreateQuantumTaskRequest$clientToken' => '<p>The client token associated with the request.</p>', 'SearchQuantumTasksFilter$name' => '<p>The name of the device used for the task.</p>', ], ], 'SyntheticTimestamp_date_time' => [ 'base' => NULL, 'refs' => [ 'GetQuantumTaskResponse$createdAt' => '<p>The time at which the task was created.</p>', 'GetQuantumTaskResponse$endedAt' => '<p>The time at which the task ended.</p>', 'QuantumTaskSummary$createdAt' => '<p>The time at which the task was created.</p>', 'QuantumTaskSummary$endedAt' => '<p>The time at which the task finished.</p>', ], ], 'TagKeys' => [ 'base' => NULL, 'refs' => [ 'UntagResourceRequest$tagKeys' => '<p>Specify the keys for the tags to remove from the resource.</p>', ], ], 'TagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'TagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'TagsMap' => [ 'base' => NULL, 'refs' => [ 'CreateQuantumTaskRequest$tags' => '<p>Tags to be added to the quantum task you\'re creating.</p>', 'GetQuantumTaskResponse$tags' => '<p>The tags that belong to this task.</p>', 'ListTagsForResourceResponse$tags' => '<p>Displays the key, value pairs of tags associated with this resource.</p>', 'QuantumTaskSummary$tags' => '<p>Displays the key, value pairs of tags associated with this quantum task.</p>', 'TagResourceRequest$tags' => '<p>Specify the tags to add to the resource.</p>', ], ], 'ThrottlingException' => [ 'base' => '<p>The throttling rate limit is met.</p>', 'refs' => [], ], 'UntagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UntagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'ValidationException' => [ 'base' => '<p>The input fails to satisfy the constraints specified by an AWS service.</p>', 'refs' => [], ], ],];
