<?php
// This file was auto-generated from sdk-root/src/data/outposts/2019-12-03/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>AWS Outposts is a fully managed service that extends AWS infrastructure, APIs, and tools to customer premises. By providing local access to AWS managed infrastructure, AWS Outposts enables customers to build and run applications on premises using the same programming interfaces as in AWS Regions, while using local compute and storage resources for lower latency and local data processing needs.</p>', 'operations' => [ 'CreateOutpost' => '<p>Creates an Outpost.</p> <p>You can specify <code>AvailabilityZone</code> or <code>AvailabilityZoneId</code>.</p>', 'DeleteOutpost' => '<p>Deletes the Outpost.</p>', 'DeleteSite' => '<p>Deletes the site.</p>', 'GetOutpost' => '<p>Gets information about the specified Outpost.</p>', 'GetOutpostInstanceTypes' => '<p>Lists the instance types for the specified Outpost.</p>', 'ListOutposts' => '<p>Create a list of the Outposts for your AWS account. Add filters to your request to return a more specific list of results. Use filters to match an Outpost lifecycle status, Availibility Zone (<code>us-east-1a</code>), and AZ ID (<code>use1-az1</code>). </p> <p>If you specify multiple filters, the filters are joined with an <code>AND</code>, and the request returns only results that match all of the specified filters.</p>', 'ListSites' => '<p>Lists the sites for the specified AWS account.</p>', 'ListTagsForResource' => '<p>Lists the tags for the specified resource.</p>', 'TagResource' => '<p>Adds tags to the specified resource.</p>', 'UntagResource' => '<p>Removes tags from the specified resource.</p>', ], 'shapes' => [ 'AccessDeniedException' => [ 'base' => '<p>You do not have permission to perform this operation.</p>', 'refs' => [], ], 'AccountId' => [ 'base' => '<p>The ID of the AWS account.</p>', 'refs' => [ 'Site$AccountId' => NULL, ], ], 'Arn' => [ 'base' => NULL, 'refs' => [ 'ListTagsForResourceRequest$ResourceArn' => '<p>The Amazon Resource Name (ARN) of the resource.</p>', 'TagResourceRequest$ResourceArn' => '<p>The Amazon Resource Name (ARN) of the resource.</p>', 'UntagResourceRequest$ResourceArn' => '<p>The Amazon Resource Name (ARN) of the resource.</p>', ], ], 'AvailabilityZone' => [ 'base' => '<p>The Availability Zone.</p>', 'refs' => [ 'AvailabilityZoneList$member' => NULL, 'CreateOutpostInput$AvailabilityZone' => NULL, 'Outpost$AvailabilityZone' => NULL, ], ], 'AvailabilityZoneId' => [ 'base' => '<p>The ID of the Availability Zone.</p>', 'refs' => [ 'AvailabilityZoneIdList$member' => NULL, 'CreateOutpostInput$AvailabilityZoneId' => NULL, 'Outpost$AvailabilityZoneId' => NULL, ], ], 'AvailabilityZoneIdList' => [ 'base' => NULL, 'refs' => [ 'ListOutpostsInput$AvailabilityZoneIdFilter' => '<p> A filter for the AZ IDs (<code>use1-az1</code>) of the Outpost. </p> <p> Filter values are case sensitive. If you specify multiple values for a filter, the values are joined with an <code>OR</code>, and the request returns all results that match any of the specified values. </p>', ], ], 'AvailabilityZoneList' => [ 'base' => NULL, 'refs' => [ 'ListOutpostsInput$AvailabilityZoneFilter' => '<p> A filter for the Availibility Zone (<code>us-east-1a</code>) of the Outpost. </p> <p> Filter values are case sensitive. If you specify multiple values for a filter, the values are joined with an <code>OR</code>, and the request returns all results that match any of the specified values. </p>', ], ], 'ConflictException' => [ 'base' => '<p>Updating or deleting this resource can cause an inconsistent state.</p>', 'refs' => [], ], 'CreateOutpostInput' => [ 'base' => NULL, 'refs' => [], ], 'CreateOutpostOutput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteOutpostInput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteOutpostOutput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteSiteInput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteSiteOutput' => [ 'base' => NULL, 'refs' => [], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'AccessDeniedException$Message' => NULL, 'ConflictException$Message' => NULL, 'InternalServerException$Message' => NULL, 'NotFoundException$Message' => NULL, 'ServiceQuotaExceededException$Message' => NULL, 'ValidationException$Message' => NULL, ], ], 'GetOutpostInput' => [ 'base' => NULL, 'refs' => [], ], 'GetOutpostInstanceTypesInput' => [ 'base' => NULL, 'refs' => [], ], 'GetOutpostInstanceTypesOutput' => [ 'base' => NULL, 'refs' => [], ], 'GetOutpostOutput' => [ 'base' => NULL, 'refs' => [], ], 'InstanceType' => [ 'base' => '<p>The instance type.</p>', 'refs' => [ 'InstanceTypeItem$InstanceType' => NULL, ], ], 'InstanceTypeItem' => [ 'base' => '<p>Information about an instance type.</p>', 'refs' => [ 'InstanceTypeListDefinition$member' => NULL, ], ], 'InstanceTypeListDefinition' => [ 'base' => '<p>Information about the instance types.</p>', 'refs' => [ 'GetOutpostInstanceTypesOutput$InstanceTypes' => NULL, ], ], 'InternalServerException' => [ 'base' => '<p>An internal error has occurred.</p>', 'refs' => [], ], 'LifeCycleStatus' => [ 'base' => '<p>The life cycle status.</p>', 'refs' => [ 'LifeCycleStatusList$member' => NULL, 'Outpost$LifeCycleStatus' => NULL, ], ], 'LifeCycleStatusList' => [ 'base' => NULL, 'refs' => [ 'ListOutpostsInput$LifeCycleStatusFilter' => '<p> A filter for the lifecycle status of the Outpost. </p> <p> Filter values are case sensitive. If you specify multiple values for a filter, the values are joined with an <code>OR</code>, and the request returns all results that match any of the specified values. </p>', ], ], 'ListOutpostsInput' => [ 'base' => NULL, 'refs' => [], ], 'ListOutpostsOutput' => [ 'base' => NULL, 'refs' => [], ], 'ListSitesInput' => [ 'base' => NULL, 'refs' => [], ], 'ListSitesOutput' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'MaxResults1000' => [ 'base' => '<p>The maximum page size.</p>', 'refs' => [ 'GetOutpostInstanceTypesInput$MaxResults' => NULL, 'ListOutpostsInput$MaxResults' => NULL, 'ListSitesInput$MaxResults' => NULL, ], ], 'NotFoundException' => [ 'base' => '<p>The specified request is not valid.</p>', 'refs' => [], ], 'Outpost' => [ 'base' => '<p>Information about an Outpost.</p>', 'refs' => [ 'CreateOutpostOutput$Outpost' => NULL, 'GetOutpostOutput$Outpost' => NULL, 'outpostListDefinition$member' => NULL, ], ], 'OutpostArn' => [ 'base' => '<p>The Amazon Resource Name (ARN) of the Outpost.</p>', 'refs' => [ 'GetOutpostInstanceTypesOutput$OutpostArn' => NULL, 'Outpost$OutpostArn' => NULL, ], ], 'OutpostDescription' => [ 'base' => '<p>The description of the Outpost.</p>', 'refs' => [ 'CreateOutpostInput$Description' => NULL, 'Outpost$Description' => NULL, ], ], 'OutpostId' => [ 'base' => '<p>The ID of the Outpost.</p>', 'refs' => [ 'DeleteOutpostInput$OutpostId' => NULL, 'GetOutpostInput$OutpostId' => NULL, 'GetOutpostInstanceTypesInput$OutpostId' => NULL, 'GetOutpostInstanceTypesOutput$OutpostId' => NULL, 'Outpost$OutpostId' => NULL, ], ], 'OutpostName' => [ 'base' => '<p>The name of the Outpost.</p>', 'refs' => [ 'CreateOutpostInput$Name' => NULL, 'Outpost$Name' => NULL, ], ], 'OwnerId' => [ 'base' => '<p>The AWS account ID of the Outpost owner.</p>', 'refs' => [ 'Outpost$OwnerId' => NULL, ], ], 'ResourceType' => [ 'base' => NULL, 'refs' => [ 'ConflictException$ResourceType' => '<p>The type of the resource causing the conflict.</p>', ], ], 'ServiceQuotaExceededException' => [ 'base' => '<p>You have exceeded a service quota.</p>', 'refs' => [], ], 'Site' => [ 'base' => '<p>Information about a site.</p>', 'refs' => [ 'siteListDefinition$member' => NULL, ], ], 'SiteArn' => [ 'base' => '<p>The Amazon Resource Name (ARN) of the site.</p>', 'refs' => [ 'Outpost$SiteArn' => NULL, 'Site$SiteArn' => NULL, ], ], 'SiteDescription' => [ 'base' => '<p>The description of the site.</p>', 'refs' => [ 'Site$Description' => NULL, ], ], 'SiteId' => [ 'base' => '<p>The ID of the site.</p>', 'refs' => [ 'CreateOutpostInput$SiteId' => NULL, 'DeleteSiteInput$SiteId' => NULL, 'Outpost$SiteId' => NULL, 'Site$SiteId' => NULL, ], ], 'SiteName' => [ 'base' => '<p>The name of the site.</p>', 'refs' => [ 'Site$Name' => NULL, ], ], 'String' => [ 'base' => NULL, 'refs' => [ 'ConflictException$ResourceId' => '<p>The ID of the resource causing the conflict.</p>', ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'TagKeyList$member' => NULL, 'TagMap$key' => NULL, ], ], 'TagKeyList' => [ 'base' => NULL, 'refs' => [ 'UntagResourceRequest$TagKeys' => '<p>The tag keys.</p>', ], ], 'TagMap' => [ 'base' => NULL, 'refs' => [ 'CreateOutpostInput$Tags' => '<p>The tags to apply to the Outpost.</p>', 'ListTagsForResourceResponse$Tags' => '<p>The resource tags.</p>', 'Outpost$Tags' => '<p>The Outpost tags.</p>', 'Site$Tags' => '<p>The site tags.</p>', 'TagResourceRequest$Tags' => '<p>The tags to add to the resource.</p>', ], ], 'TagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'TagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'TagMap$value' => NULL, ], ], 'Token' => [ 'base' => '<p>The pagination token.</p>', 'refs' => [ 'GetOutpostInstanceTypesInput$NextToken' => NULL, 'GetOutpostInstanceTypesOutput$NextToken' => NULL, 'ListOutpostsInput$NextToken' => NULL, 'ListOutpostsOutput$NextToken' => NULL, 'ListSitesInput$NextToken' => NULL, 'ListSitesOutput$NextToken' => NULL, ], ], 'UntagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UntagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'ValidationException' => [ 'base' => '<p>A parameter is not valid.</p>', 'refs' => [], ], 'outpostListDefinition' => [ 'base' => '<p>Information about the Outposts.</p>', 'refs' => [ 'ListOutpostsOutput$Outposts' => NULL, ], ], 'siteListDefinition' => [ 'base' => '<p>Information about the sites.</p>', 'refs' => [ 'ListSitesOutput$Sites' => NULL, ], ], ],];
